import { OnInit, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class StarRatingComponent implements OnInit {
    rating: number;
    starCount: number;
    color: string;
    readOnly: boolean;
    ratingUpdated: EventEmitter<any>;
    snackBarDuration: number;
    ratingArr: number[];
    constructor();
    ngOnInit(): void;
    onClick(rating: number): boolean;
    showIcon(index: number): "star" | "star_border";
    static ɵfac: i0.ɵɵFactoryDeclaration<StarRatingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StarRatingComponent, "mat-star-rating", never, { "rating": "rating"; "starCount": "starCount"; "color": "color"; "readOnly": "readOnly"; }, { "ratingUpdated": "ratingUpdated"; }, never, never>;
}
export declare enum StarRatingColor {
    primary = "primary",
    accent = "accent",
    warn = "warn"
}
