import { MatDialogRef } from '@angular/material/dialog';
import { NgxSurveyComponent } from '../../ngx-survey.component';
import { FormItem } from '../../form-item/form-item';
import * as i0 from "@angular/core";
export interface DialogItemData {
    item: FormItem;
    params: any;
}
export declare class DialogItemEdit {
    dialogRef: MatDialogRef<DialogItemEdit>;
    data: DialogItemData;
    survey: NgxSurveyComponent;
    item: FormItem;
    commonFields: FormItem[];
    extraFields: FormItem[];
    itemEditForm: any[];
    multiChoiseFieldsOnly: boolean;
    customFieldNamesAllowed: boolean;
    readOnly: boolean;
    multiChoiseFieldTypes: string[];
    constructor(dialogRef: MatDialogRef<DialogItemEdit>, data: DialogItemData);
    setFormFields(): void;
    onFormChange(values: FormItem): void;
    onNoClick(): void;
    onFormSubmit(item: any): void;
    onOkClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogItemEdit, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DialogItemEdit, "dialog-item-edit", never, {}, {}, never, never>;
}
