import { MatDialogRef } from '@angular/material/dialog';
import { NgxSurveyComponent } from '../../ngx-survey.component';
import { FormItem, FormSection } from '../../form-item/form-item';
import * as i0 from "@angular/core";
export interface DialogSectionData {
    section: FormSection;
    params: any;
}
export declare class DialogSectionEdit {
    dialogRef: MatDialogRef<DialogSectionEdit>;
    data: DialogSectionData;
    survey: NgxSurveyComponent;
    section: FormSection;
    readOnly: boolean;
    commonFields: FormItem[];
    sectionEditForm: FormSection[];
    constructor(dialogRef: MatDialogRef<DialogSectionEdit>, data: DialogSectionData);
    onNoClick(): void;
    onFormSubmit(data: any): void;
    onOkClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogSectionEdit, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DialogSectionEdit, "dialog-section-edit", never, {}, {}, never, never>;
}
