import { OnInit, EventEmitter } from '@angular/core';
import { FormItemOptionItem } from '../../form-item';
import { MatRadioChange } from '@angular/material/radio';
import { MatCheckboxChange } from '@angular/material/checkbox';
import * as i0 from "@angular/core";
export declare class RadioGroupComponent implements OnInit {
    label: string;
    editable: boolean;
    required: boolean;
    multiple: boolean;
    options: FormItemOptionItem[];
    selectionChange: EventEmitter<string | string[]>;
    value: string | string[];
    constructor();
    ngOnInit(): void;
    isOptionSelected(option: FormItemOptionItem): boolean;
    onSelectionChange(event: MatRadioChange): void;
    onCheckboxSelectionChange(event: MatCheckboxChange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioGroupComponent, "app-radio-group", never, { "label": "label"; "editable": "editable"; "required": "required"; "multiple": "multiple"; "options": "options"; "value": "value"; }, { "selectionChange": "selectionChange"; }, never, never>;
}
