import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { MatSelectChange } from '@angular/material/select';
import { FormItemOptionItem } from '../../form-item';
import { SurveyErrorStateMatcher } from '../../error-state.matcher';
import * as i0 from "@angular/core";
export declare class SelectComponent implements OnInit, OnChanges {
    label: string;
    editable: boolean;
    required: boolean;
    multiple: boolean;
    options: FormItemOptionItem[];
    selectionChange: EventEmitter<string | string[]>;
    value: string | string[];
    init: boolean;
    matcher: SurveyErrorStateMatcher;
    constructor();
    ngOnInit(): void;
    isOptionSelected(option: FormItemOptionItem): boolean;
    onSelectionChange(event: MatSelectChange): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectComponent, "app-select", never, { "label": "label"; "editable": "editable"; "required": "required"; "multiple": "multiple"; "options": "options"; "value": "value"; }, { "selectionChange": "selectionChange"; }, never, never>;
}
