import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { MatSelectionList, MatSelectionListChange } from '@angular/material/list';
import { FormItemOptionItem } from '../../form-item';
import * as i0 from "@angular/core";
export declare class SelectionListComponent implements OnInit, OnChanges {
    label: string;
    editable: boolean;
    required: boolean;
    multiple: boolean;
    options: FormItemOptionItem[];
    selectionChange: EventEmitter<string | string[]>;
    value: string | string[];
    selectedOptions: MatSelectionList;
    init: boolean;
    constructor();
    ngOnInit(): void;
    isOptionSelected(option: FormItemOptionItem): boolean;
    onSelectionChange(event: MatSelectionListChange): void;
    ngOnChanges(changes: SimpleChanges): void;
    onOptionClick(event: any, option: FormItemOptionItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectionListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectionListComponent, "app-selection-list", never, { "label": "label"; "editable": "editable"; "required": "required"; "multiple": "multiple"; "options": "options"; "value": "value"; }, { "selectionChange": "selectionChange"; }, never, never>;
}
