import { OnInit, EventEmitter } from '@angular/core';
import { FormItem, SurveyErrorStateMatcher, FormItemWidget } from '../index';
import * as i0 from "@angular/core";
export declare class FormItemText extends FormItem {
    hint: string;
}
export declare class FormItemTextComponent implements FormItemWidget, OnInit {
    item: FormItemText;
    editable: boolean;
    changes: EventEmitter<FormItemText>;
    matcher: SurveyErrorStateMatcher;
    maxLabelLength: number;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    checkRequired(placeholder: any): true | undefined;
    onValueChanges(item: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormItemTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormItemTextComponent, "ammo-form-item-text", never, { "item": "item"; "editable": "editable"; }, { "changes": "changes"; }, never, never>;
}
