import { OnInit, EventEmitter, AfterViewInit, OnDestroy, ElementRef } from '@angular/core';
import { ResizedEvent } from 'angular-resize-event';
import { NgxSurveyService } from './ngx-survey.service';
import { MatStepper } from '@angular/material/stepper';
import * as i0 from "@angular/core";
export declare class NgxSurveyComponent implements OnInit, AfterViewInit, OnDestroy {
    private elRef;
    service: NgxSurveyService;
    form: any[];
    value: any;
    splitBySteps: boolean;
    validateByStepChange: boolean;
    submitInProgress: boolean;
    submitErrorText: string;
    editable: boolean;
    valueChange: EventEmitter<any>;
    stepChanged: EventEmitter<any>;
    submit: EventEmitter<any>;
    resized: EventEmitter<ResizedEvent>;
    stepper: MatStepper;
    selectedIndex: number;
    isMobile: boolean;
    get submitDisabled(): boolean;
    constructor(elRef: ElementRef, service: NgxSurveyService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onResized(event: ResizedEvent): void;
    scrollToField(field: any): void;
    isStepEnabled(section: any): any;
    onItemChanges(item: any): void;
    selectionChanged(event: any): void;
    setMobileStepper(isMobile: boolean): void;
    onStepChange(step: any): void;
    submitForm(): void;
    submitStep(section: any, goToNext: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxSurveyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxSurveyComponent, "ngx-survey", never, { "form": "form"; "value": "value"; "splitBySteps": "splitBySteps"; "validateByStepChange": "validateByStepChange"; "submitInProgress": "submitInProgress"; "submitErrorText": "submitErrorText"; "editable": "editable"; }, { "valueChange": "valueChange"; "stepChanged": "stepChanged"; "submit": "submit"; "resized": "resized"; }, never, never>;
}
