import { MatDialogRef } from '@angular/material/dialog';
import { NgxSurveyComponent } from '../../ngx-survey.component';
import { FormItem, FormSection } from '../../form-item/index';
import * as i0 from "@angular/core";
export interface FormItemVisibilityData {
    sectionItems: FormItem[];
    visibility: string[];
    readOnly: boolean;
}
export declare class DialogItemVisibility {
    dialogRef: MatDialogRef<DialogItemVisibility>;
    data: FormItemVisibilityData;
    survey: NgxSurveyComponent;
    formFields: FormItem[];
    extraFields: FormItem[];
    itemEditForm: FormSection[];
    value: any;
    readOnly: boolean;
    constructor(dialogRef: MatDialogRef<DialogItemVisibility>, data: FormItemVisibilityData);
    onFormChange(values: any): void;
    onNoClick(): void;
    onFormSubmit(value: any): void;
    onOkClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogItemVisibility, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DialogItemVisibility, "dialog-item-visibility", never, {}, {}, never, never>;
}
