import { OnInit, EventEmitter } from '@angular/core';
import { MatCheckboxChange } from '@angular/material/checkbox';
import { SurveyErrorStateMatcher } from '../error-state.matcher';
import { FormItem, FormItemWidget } from '../form-item';
import * as i0 from "@angular/core";
export declare class FormItemCheckbox extends FormItem {
    value: boolean;
}
export declare class FormItemCheckboxComponent implements FormItemWidget, OnInit {
    item: FormItemCheckbox;
    editable: boolean;
    changes: EventEmitter<FormItemCheckbox>;
    matcher: SurveyErrorStateMatcher;
    constructor();
    ngOnInit(): void;
    onChange(event: MatCheckboxChange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormItemCheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormItemCheckboxComponent, "ammo-form-item-checkbox", never, { "item": "item"; "editable": "editable"; }, { "changes": "changes"; }, never, never>;
}
