import { OnInit, EventEmitter, AfterViewInit } from '@angular/core';
import { FormItem, SurveyErrorStateMatcher, FormItemWidget } from '../index';
import { ControlValueAccessor } from '@angular/forms';
import { MatInput } from '@angular/material/input';
import * as i0 from "@angular/core";
export declare class FormItemDate extends FormItem {
}
export declare const CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR: any;
export declare class FormItemDateComponent implements FormItemWidget, OnInit, AfterViewInit, ControlValueAccessor {
    inputField: MatInput;
    item: FormItemDate;
    editable: boolean;
    changes: EventEmitter<FormItemDate>;
    matcher: SurveyErrorStateMatcher;
    innerValue: any;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    checkRequired(placeholder: any): true | undefined;
    onValueChanges(ev: any): void;
    private onTouchedCallback;
    private onChangeCallback;
    get value(): any;
    get textValue(): string;
    set value(v: any);
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onChange(event: any): void;
    onBlur(): void;
    todate(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormItemDateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormItemDateComponent, "ammo-form-item-date", never, { "item": "item"; "editable": "editable"; }, { "changes": "changes"; }, never, never>;
}
