import { OnInit, EventEmitter } from '@angular/core';
import { FormItem, FormItemOptionItem, FormItemWidget } from '../form-item';
import * as i0 from "@angular/core";
export declare class FormItemRadio extends FormItem {
    items: FormItemOptionItem[];
    multiple: boolean;
    value: string | string[];
    hasOptions: boolean;
    otherTextValue: string;
}
export declare class FormItemRadioComponent implements FormItemWidget, OnInit {
    item: FormItemRadio;
    editable: boolean;
    changes: EventEmitter<FormItemRadio>;
    explanationValue: string;
    explanationLabel: string | undefined;
    selectedOption: string;
    constructor();
    ngOnInit(): void;
    onSelectionChange(value: string | string[]): void;
    onExplanationValueChanges(val: string, selectedOptionVal: string | string[]): false | undefined;
    isExplanationRequired(selectedOptionVal: string | string[]): boolean | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormItemRadioComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormItemRadioComponent, "ammo-form-item-radio", never, { "item": "item"; "editable": "editable"; }, { "changes": "changes"; }, never, never>;
}
