import { OnInit, EventEmitter } from '@angular/core';
import { SurveyErrorStateMatcher } from '../error-state.matcher';
import { FormItem, FormItemOptionItem, FormItemWidget } from '../form-item';
import * as i0 from "@angular/core";
export declare class FormItemSelect extends FormItem {
    items: FormItemOptionItem[];
    value: string;
    hasOptions: boolean;
}
export declare class FormItemSelectComponent implements FormItemWidget, OnInit {
    item: FormItemSelect;
    editable: boolean;
    changes: EventEmitter<FormItemSelect>;
    matcher: SurveyErrorStateMatcher;
    constructor();
    ngOnInit(): void;
    onSelectionChange(value: any): void;
    isOptionSelected(option: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormItemSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormItemSelectComponent, "ammo-form-item-select", never, { "item": "item"; "editable": "editable"; }, { "changes": "changes"; }, never, never>;
}
