import { OnInit, EventEmitter, OnChanges } from '@angular/core';
import { FormItem, SurveyErrorStateMatcher, FormItemWidget } from '../index';
import * as i0 from "@angular/core";
export declare class FormItemString extends FormItem {
    hint: string;
}
export declare class FormItemStringComponent implements FormItemWidget, OnInit, OnChanges {
    item: FormItemString;
    editable: boolean;
    changes: EventEmitter<FormItemString>;
    matcher: SurveyErrorStateMatcher;
    maxLabelLength: number;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    checkRequired(placeholder: any): true | undefined;
    onValueChanges(item: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormItemStringComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormItemStringComponent, "ammo-form-item-string", never, { "item": "item"; "editable": "editable"; }, { "changes": "changes"; }, never, never>;
}
