import { FormItemError, SurveyFile } from './form-item';
import { ReplaySubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NgxSurveyService {
    constructor();
    onFilesSelected: ReplaySubject<SurveyFile[]>;
    errorMessages: any;
    initForm(form: any, formValues: any): any;
    isItemVisible(form: any, section: any, item: any): boolean;
    isSectionVisible(form: any, section: any): boolean;
    getErrors(item: any): FormItemError[];
    checkValidationRule(item: any, rule: any): FormItemError;
    getValue(form: any, validateAll?: boolean): {
        valid: boolean;
        value: {};
        firstError: any;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxSurveyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxSurveyService>;
}
